/*
Theme Name: Falcetti Hall (Powell Child)
Template: powell
Author: Stellaractive
Version: 1.0.2
Description: A child theme for the Powell parent theme.
Text Domain: powell-child
*/


/* Global */
.wp-block-button:hover a {
    color: var(--wp--preset--color--primary);
    background-color: var(--wp--preset--color--true-black);
}
.wp-block-button:hover a {
    border-color: var(--wp--preset--color--primary);
}

/* Utils */
@media screen and (max-width: 781px) {
    .col-reverse-mob {
        display: flex;
        flex-direction: column-reverse;
    } 
}

/* Headline class used for  --- SECTION NAME --- */
.title-decor-container {
    position: relative;
    overflow: hidden;
    width: 100%;
    text-align: center;
}
.title-decor-lines {
    position: relative;
    display: inline-block;
    padding: 0 16px;
    letter-spacing: .075em;
}
.title-decor-lines::before, .title-decor-lines::after {
    position: absolute;
    content: '';
    top: calc(50% - 2px);
    height: 1px;
    width: 100vw;
    background: var(--wp--preset--color--primary);
}
.title-decor-lines::before {
    left: 0;
    -webkit-transform: translate3d(-100%, 0, 0);
    transform: translate3d(-100%, 0, 0);
}
.title-decor-lines::after {
    right: 0;
    -webkit-transform: translate3d(100%, 0, 0);
    transform: translate3d(100%, 0, 0);
}
.title-gray.title-decor-lines::before, .title-gray.title-decor-lines::after {
    background: var(--wp--preset--color--medium-gray) !important;
}
/* Columns with vertical dividers / horizontal on mobile */
.divided-cols .wp-block-column {
    position: relative;
} 
.divided-cols .wp-block-column:not(:last-of-type)::after {
    content: '';
    display: block;
    width: 1px;
    height: 100%;
    position: absolute;
    top: 0;
    left: calc(100% + var(--wp--style--block-gap) / 2);
    transform: translateX(-0.5px);
    background-color: var(--wp--preset--color--medium-gray);
}
@media (max-width: 781px) {
    .divided-cols .wp-block-column:not(:last-of-type)::after {
        width: 50%;
        height: 1px;
        top: calc(100% + var(--wp--style--block-gap) / 2);
        left: 25%;
        transform: translateX(-0.5px); /* Centers the 1px line */
    }
}
@media (min-width: 781px) and (max-width: 1000px) {
    .divided-cols .wp-block-column .stats-text {
        font-size: 2.2rem !important;
    }
    .divided-cols .wp-block-column .has-primary-color {
        font-size: 1.25rem !important;
    }
}


/* Header */
.site-header {
  position: sticky;
  top: 0;
  z-index: 101;
  background-color: white;
}

.header-row .image-row {
    padding-left: 0;

}
.header-row .topbar {
    padding: 0;
}

.header-nav-group {
    text-transform: uppercase;
    padding-right: 0;
}

.wp-block-navigation .wp-block-navigation__submenu-container.wp-block-navigation-submenu {
    border: none;
    margin-top: 36px;
}

.wp-block-navigation__submenu-container li:first-of-type {
    margin-top: 0;
}

.wp-block-navigation-item a {
    justify-content: flex-end;
}

/* Submenu hover effects */
.wp-block-navigation__submenu-icon {
    position: relative;
}

.topbar-nav li.has-child svg {
    opacity: 0;
}

.topbar-nav li.has-child::after {
    font-family: "Font Awesome 6 Free";
    font-weight: 900;
    content: "\f107";
    transition: all 0.3s ease;
}

.topbar-nav li.has-child:hover::after {
    transform: rotate(-180deg);
}

/* Create an invisible bridge between parent and submenu */
.wp-block-navigation-submenu:hover .wp-block-navigation__submenu-container::before {
    content: "";
    position: absolute;
    top: -50px;
    left: 0;
    width: 100%;
    height: 50px;
    background-color: transparent;
}

@media (min-width: 860px) {
    .desktop-header .wp-block-navigation-item__content:not(.wp-block-navigation__submenu-container .wp-block-navigation-item__content)::after {
        content: '';
        position: absolute;
        bottom: -2px;
        left: 0;
        width: 100%;
        height: 3px;
        background-color: var(--wp--preset--color--primary);
        transform: scaleX(0);
        transform-origin: left;
        transition: transform 0.3s ease;
    }
    .desktop-header .wp-block-navigation-item__content:not(.wp-block-navigation__submenu-container .wp-block-navigation-item__content):hover::after, 
    .desktop-header .current-menu-item > .wp-block-navigation-item__content:not(.wp-block-navigation__submenu-container .wp-block-navigation-item__content)::after
     {
        transform: scaleX(1);
    }
}

.mobile-header {
    top: unset;
}

@media (max-width: 860px) {
    .desktop-header nav {
        display: none !important;
    }
    .site-header .image-row {
        padding: 0 0 0 30px !important;
    }
    .header-nav-group {
        padding-left: 0 !important;
    }
    .wp-block-site-logo a img {
        width: 300px !important;
        max-width: 60vw;
    }
    #mobile-menu-toggle span {
        background: var(--wp--preset--color--medium-gray);
    }
    .mobile-nav {
        padding: none;
    }
    .mobile-nav .wp-block-navigation li {
        justify-content: center;
        font-weight: light;
    }
    .mobile-nav a.wp-block-navigation-item__content {
        text-transform: uppercase;
        width: 100%;
        text-align: center;
        font-size: 1.2rem;
    }
    .mobile-nav li.current-menu-item {
        color: var(--wp--preset--color--primary) !important;
        background-color: var(--wp--preset--color--true-black);
    }
}

/* Footer */
footer {
    margin-top: 0 
}
.footer-columns p {
    font-size: 15px;
}
.footer-columns a {
    text-decoration: none;
    transition: all 0.3s ease-in-out;
}
footer a:hover {
    color: var(--wp--preset--color--primary);
}
.wp-block-social-links .wp-social-link a {
    padding: 5px;
    font-size: 18px;
}
.wp-block-social-links .wp-social-link a:hover {
    color: var(--wp--preset--color--medium-gray);
    background-color: var(--wp--preset--color--white);
}
@media (max-width: 781px) {
    .footer-columns {
        margin-bottom: 30px;
    }
    .footer-columns .wp-block-column:not(:last-of-type):after {
        content: '';
        display: block;
        width: 50%;
        height: 1px;
        margin: auto;
        background-color: var(--wp--preset--color--primary);
    }
}
#scroll-to-top {
    position: fixed;
    z-index: 4;
    background-color: var(--wp--preset--color--primary);
    justify-content: center;
    align-items: center;
    font-size: 2rem;
    width: 40px;
    height: 40px;
    bottom: 1rem;
    right: 1rem;
    border-radius: 50px;
    border: 1px solid var(--wp--preset--color--primary);
}
#scroll-to-top:hover {
    background-color: var(--wp--preset--color--true-black);
}
#scroll-to-top:hover svg path {
    fill: var(--wp--preset--color--primary);
}

/* The Events Calendar */
.tribe-common * {
    font-family: 'Poppins', sans-serif !important;
}
.tribe-common-l-container {
    padding-top: 0 !important;
    padding-bottom: 0 !important;
    min-height: 0 !important;
}

.tribe-events-calendar-month__day {
    border-color: var(--wp--preset--color--primary) !important;
}

.tribe-filter-bar__form-heading,
.tribe-events button,
.tribe-filter-bar,
.tribe-common-form-control-text__input,
.tribe-common-form-control-text__input.tribe-events-c-search__input::placeholder,
.tribe-events-c-search__input-control-icon-svg,
.tribe-events-c-view-selector__list span,
.tribe-filter-bar-c-filter__toggle-icon,
.tribe-events-calendar-month__header-column-title,
.tribe-events-calendar-month__day--past.tribe-events-calendar-month__day-date .tribe-events-calendar-month__events,
.tribe-events-calendar-month__day--past a,
.tribe-events-calendar-month__day--past .tribe-events-calendar-month__day-date-daynum,
.tribe-events-calendar-month__day--past.tribe-events-calendar-month__day .tribe-events-calendar-month__calendar-event-datetime,
.tribe-events-calendar-month__day--past.tribe-events-calendar-month__day a,
.tribe-filter-bar__selected-filters-header,
.tribe-events-c-messages__message,
.tribe-events-calendar-list .tribe-events-calendar-list__event-date-tag-daynum,
.tribe-events-calendar-list .tribe-events-calendar-list__event-title a,
.tribe-events-c-messages__message-list-item-link,
.tribe-events-calendar-day__event-title a
{
    color: var(--wp--preset--color--primary) !important;
}

.tribe-events .tribe-events-calendar-list__month-separator:after {
    background-color: var(--wp--preset--color--primary) !important;
}
.tribe-events-calendar-list .tribe-events-calendar-list__event-title a,
.tribe-events-calendar-day__event-title a {
    font-weight: 300;
    font-size: 26px;
}
.tribe-events-calendar-list__event-datetime,
.tribe-events-c-small-cta__price {
    font-weight: 300;
}
.tribe-events-calendar-list__event-date-tag-daynum {
    font-weight: normal !important;
}
.tribe-common p,
.tribe-events-calendar-month__day-date-daynum,
.tribe-events-calendar-month__day .tribe-events-calendar-month__calendar-event-datetime,
.tribe-events-calendar-month__day a,
.select2-results__option,
.tribe-common-form-control-checkbox__label,
.tribe-filter-bar-c-range__label,
.tribe-filter-bar__selected-filters-label,
.tribe-filter-bar-c-pill__pill,
.tribe-events-calendar-list *,
.tribe-events-calendar-day__time-separator-text,
.tribe-events-calendar-day__event-datetime,
.tribe-events-calendar-day__event-venue-address,
.tribe-events-calendar-day__event-venue-title,
.tribe-events-calendar-day__event-cost,
.tribe-events-header__title-text,
.tribe-events-header__breadcrumbs,
.tribe-events-header__breadcrumbs a,
.tribe-events-back a,
.tribe-events-single-event-title,
.tribe-events-single-section-title,
.tribe-events-related-events-title,
.tribe-events-single-section > *,
.tribe-events-sub-nav a,
.tribe-events-single-event-description p,
.tribe-events-cost  {
    color: white !important;
}

.tribe-events .datepicker .month.current.focused {
    color: var(--wp--preset--color--black);
}
.tribe-common-c-svgicon path {
    stroke: var(--wp--preset--color--primary) !important;
}
.tribe-events-c-subscribe-dropdown__containertribe-events-c-subscribe-dropdown__container,
.tribe-events-c-subscribe-dropdown__container,
.tribe-events-calendar-list-nav,
.tribe-events-calendar-list__event-venue,
.tribe-events-calendar-day-nav.tribe-events-c-nav
{
	display: none !important;
}

.tribe-events-calendar-list__event-description {
    margin-top: 0.5rem !important;
}

.tribe-events .tribe-events-c-events-bar__search-container {
    padding-right: 10px !important;
}

.tribe-events-view.alignwide {
    background-color: var(--wp--preset--color--dark-gray);
    padding-top: 20px;
}

.tec-block__single-event {
    background-color: var(--wp--preset--color--dark-gray);
    color: white;
}

.tribe-events-single-section > * {
    font-weight: 500;
}

.tribe-related-events-thumbnail {
    display: none;
}

.tribe-events-single ul.tribe-related-events li .tribe-related-event-info {
    padding-top: 10px;
    padding-left: 20px;
}
.tribe-events-single ul.tribe-related-events li .tribe-related-events-title a {
    color: var(--wp--preset--color--dark-gray);
}

.tribe-events .tribe-events-header__events-bar .tribe-events-c-events-bar__views {
    display: none;
}

.tribe-events-c-top-bar__today-button,
.datepicker-switch
{
    background-color: transparent;
    color: var(--wp--preset--color--primary);
    border-radius: 0;
} 

.tribe-events .tribe-events-view-loader {
    background-color: #2f34377d !important;
}

.tribe-events-single ul.tribe-related-events li .tribe-related-event-info {
    max-width: 85%;
}

@media (max-width: 781px) {
    .tribe-events-c-events-bar,
    .tribe-events-c-events-bar *,
    .tribe-filter-bar.tribe-filter-bar--vertical
    {
        background-color: var(--wp--preset--color--dark-gray) !important;
        border-radius: 0 !important;
    }
    .tribe-events .tribe-events-c-events-bar__search-container {
        background-color: var(--wp--preset--color--dark-gray)!important;
    }   
    .tribe-events .tribe-events-c-search__button, .tribe-events button.tribe-events-c-search__button {
        background-color: var(--wp--preset--color--dark-gray) !important;
    }
    nav.tribe-events-c-nav {
        background-color: var(--wp--preset--color--primary) !important;
        padding: 5px !important;
    }
}
@media (min-width: 782px) {
    .tribe-events-c-events-bar,
    .tribe-events-c-events-bar *
    {
        background-color: transparent !important;
        color: var(--wp--preset--color--primary) !important;
        border-color: var(--wp--preset--color--primary) !important;
        border-radius: 0 !important;
    }  
}

@media(max-width: 767px) {
	.tribe-events-single ul.tribe-related-events li {
		margin-right: 0;
	}
}

.datepicker-dropdown {
    background-color: var(--wp--preset--color--dark-gray) !important;
    border-color: var(--wp--preset--color--primary) !important;
    border-radius: 0 !important;
}

.admin-bar .tribe-events.tribe-common--breakpoint-medium .datepicker {
    min-width: 219px !important;
    width: 219px;
}
.tribe-events .datepicker .month.active, 
.tribe-events .datepicker .month.active.focused {
    background-color: var(--wp--preset--color--primary) !important;
    color: var(--wp--preset--color--dark-gray) !important;
    outline: 1px solid var(--wp--preset--color--primary);
    outline-offset: -1px;
}

.tribe-events .datepicker .day, .tribe-events .datepicker .month, .tribe-events .datepicker .year {
    color: var(--wp--preset--color--primary) !important;
    border-color: var(--wp--preset--color--primary) !important;
    border-radius: 0 !important;

}
.tribe-events .datepicker .month:not(.active).current,
.tribe-events .datepicker .month.focused {
    background-color: transparent;
    outline: 1px solid var(--wp--preset--color--primary);
    outline-offset: -1px;
}

.tribe-common .tribe-common-c-btn-icon--caret-left:disabled .tribe-common-c-btn-icon__icon-svg path,
.tribe-common .tribe-common-c-btn-icon--caret-right .tribe-common-c-btn-icon__icon-svg path {
    fill: var(--wp--preset--color--white) !important;
    stroke: var(--wp--preset--color--white) !important;
}
.tribe-common .tribe-common-c-btn-icon--caret-left:disabled .tribe-common-c-btn-icon__icon-svg:hover path,
.tribe-common .tribe-common-c-btn-icon--caret-right .tribe-common-c-btn-icon__icon-svg:hover path {
    fill: var(--wp--preset--color--primary) !important;
    stroke: var(--wp--preset--color--primary) !important;
}

.tribe-common-form-control-checkbox__input,
.tribe-filter-bar-c-pill__pill {
    background-color: transparent !important;
    border-color: white !important;
    border-radius: 0 !important;
}
.tribe-common-form-control-checkbox__input:checked,
.tribe-events .datepicker .next:hover,
.tribe-events .datepicker .prev:hover,
.tribe-events .tribe-events-calendar-day__time-separator:after {
    background-color: var(--wp--preset--color--primary) !important;
}

.tribe-events-c-search__button {
    border: 1px solid var(--wp--preset--color--primary) !important;
}
.tribe-filter-bar .tribe-filter-bar__filters,
.tribe-common .tribe-common-anchor-thin-alt {
    border-bottom-color: var(--wp--preset--color--primary) !important;
}
.tribe-filter-bar-c-filter {
    border-top-color: var(--wp--preset--color--primary) !important;
}
.tribe-events-calendar-month__week {
    border-left-color: var(--wp--preset--color--primary) !important;
} 

.tribe-common--breakpoint-medium.tribe-events .tribe-events-l-container {
    padding-bottom: 0;
    padding-top: 0 !important;
}

.tribe-common.tribe-events .datepicker .datepicker-switch,
.tribe-events .datepicker .datepicker-days .dow {
  color: white;
}

.tribe-events .datepicker .day.active,
.tribe-events .datepicker .day.current {
   color: black !important;
}

.tribe-events-event-image img {
    display: block;
    max-width: 100%;
    height: auto;
}

.single-tribe_events .desktop-header {
	    background-color: white;
}

/* Newsletter Sign Up */
.signup-zoho-form form {
    display: flex;
}
.signup-zoho-form input {
    width: 300px;
    height: 20px;
    padding: 4px 10px;
    border-radius: 0 !important;
    font-family: var(--wp--preset--font-family--poppins);
    border: var(--wp--preset--color--primary) 1px solid;
}
.signup-zoho-form input:focus {
    outline-color: var(--wp--preset--color--maroon);
} 
.signup-zoho-form button {
    border-radius: 0;
    background-color: var(--wp--preset--color--primary);
    border: 1px solid var(--wp--preset--color--primary);
    color: var(--wp--preset--color--black);
    text-transform: uppercase;
    font-family: var(--wp--preset--font-family--poppins);
    font-size: 16px;
    font-weight: 500;
    padding: 0 10px;
}
.signup-zoho-form button:hover {
    background-color: var(--wp--preset--color--black);
    color: var(--wp--preset--color--primary);
    cursor: pointer;
}


/* FAQ stuff, for now, may place inside it's own custom block */
.faq-teasers .wp-block-group {
    border-bottom: 1px solid var(--wp--preset--color--medium-gray);
    margin-bottom: 0;
    background: white;
    position: relative;
    padding: 1rem 0;
}
/* first one of group */
.faq-teasers .wp-block-post-template .wp-block-post:first-child .wp-block-group {
    border-top: 1px solid var(--wp--preset--color--medium-gray);
    padding-top: 15px;
}

.faq-teasers .wp-block-group .wp-block-post-title {
    display: flex;
    justify-content: space-between;
    align-items: center;
    cursor: pointer;
    margin: 0;
    font-size: 16px;
    font-weight: 500;
    line-height: 1.4;
}

.faq-teasers .wp-block-group .wp-block-post-title {
    position: relative;
    color: var(--wp--preset--color--dark-gray);
    font-size: 18px;
}

.faq-teasers .wp-block-group .wp-block-post-title::after {
    content: '+';
    font-family: 'Poppins', sans-serif;
    position: absolute;
    top: 50%;
    right: 15px;
    transform: translateY(-50%);
    font-size: 20px;
    transition: all 0.3s ease;
    transform-origin: center;
    line-height: 1;
}

.faq-teasers .wp-block-group.faq-open .wp-block-post-title::after {
    transform: translateY(-50%) rotate(45deg);
}

.faq-teasers .entry-content {
    height: 0;
    overflow: hidden;
    opacity: 0;
    transform: translateY(-10px);
    transition: height 0.4s ease, opacity 0.4s ease, transform 0.4s ease;
    padding: 0 0 0 0;
}

.faq-teasers .entry-content.expanded {
    opacity: 1;
    transform: translateY(0);
    padding: 1rem 0 0 0;
}


.faq-teasers .wp-block-group .entry-content p {
    margin: 0 0 10px 0;
    padding-bottom: 0;
}

.faq-teasers .wp-block-group .entry-content ul {
    color: var(--wp--preset--color--dark-gray);
    margin: 10px 0;
    padding-left: 20px;
}

.faq-teasers .wp-block-group .entry-content li {
    margin-bottom: 8px;
    color: var(--wp--preset--color--dark-gray);
}


@keyframes slideDown {
    from {
        opacity: 0;
        transform: translateY(-10px);
    }
    to {
        opacity: 1;
        transform: translateY(0);
    }
}

@keyframes slideUp {
    from {
        opacity: 1;
        transform: translateY(0);
    }
    to {
       opacity: 0;
       transform: translateY(-10px);
    }
}
@media(max-width: 768px) {
    .faq-teasers .wp-block-group .wp-block-post-title {
        max-width: 80%;
    }
    .faq-teasers .wp-block-group .wp-block-post-title::after  {
        left: 110%;
    }
}

/* Lightboxed image stuff */
#lightbox-overlay {
  position: fixed;
  top: 0; 
  left: 0;
  width: 100%; 
  height: 100%;
  background: rgba(0,0,0,0.85);
  align-items: center;
  justify-content: center;
  z-index: 9999;
  display: flex;
}

.lightbox-image {
  display: block;
  margin: auto;
  border: 2px solid var(--wp--preset--color--primary);
  box-shadow: 0 0 20px var(--wp--preset--color--black);
  /* keeps inside viewport regardless of image size */
  max-width: 90%; 
  max-height: 90%;
}

.lightbox-close {
  position: absolute;
  top: 20px;
  right: 30px;
  font-size: 3rem;
  color: var(--wp--preset--color--primary);
  cursor: pointer;
  z-index: 10000;
}
